Class | Chef::Provider::Service::Macosx
In: | lib/chef/provider/service/macosx.rb
Parent: | Chef::Provider::Service::Simple

### Methods

define_resource_requirements load_current_resource restart_service set_service_status start_service stop_service

### Included Modules

Chef::Mixin::ShellOut

### Constants

PLIST_DIRS | = | %w{~/Library/LaunchAgents /Library/LaunchAgents /Library/LaunchDaemons /System/Library/LaunchAgents /System/Library/LaunchDaemons }

### Public Instance methods

define_resource_requirements()
load_current_resource()
restart_service()
set_service_status()
start_service()
stop_service()

[Validate]